Get User Profile (By Cloud ID)

Request

GET

https://api.sourcecraft.tech/users/cloud-id:{cloud_id}

Path parameters

Name

Description

cloud_id

Type: string

Example: ``

Query parameters

Name

Description

user_id

Type: string

Example: ``

user_slug

Type: string

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "id": "example",
  "display_name": "example",
  "username": "example",
  "bio": "example",
  "location": {
    "country": "example",
    "city": "example"
  },
  "timezone": {
    "iana_timezone": "example"
  },
  "workplace": {
    "company": "example",
    "position": "example"
  },
  "links": [
    {
      "link": "example",
      "type": "social_network"
    }
  ],
  "status": {
    "message": "example",
    "emoji": "example"
  },
  "avatar": {
    "url": "example"
  },
  "background_image": null,
  "visibility": "private"
}

Name

Description

avatar

Type: Image

Example
{
  "url": "example"
}

background_image

Type: Image

Example
{
  "url": "example"
}

bio

Type: string

Example: example

display_name

Type: string

Example: example

id

Type: string

Example: example

links

Type: Link[]

Example
[
  {
    "link": "example",
    "type": "social_network"
  }
]

location

Type: v1.Location

Example
{
  "country": "example",
  "city": "example"
}

status

Type: ProfileStatus

Example
{
  "message": "example",
  "emoji": "example"
}

timezone

Type: Timezone

Example
{
  "iana_timezone": "example"
}

username

Type: string

Example: example

visibility

Type: ProfileVisibility

Enum: private, public

workplace

Type: Workplace

Example
{
  "company": "example",
  "position": "example"
}

v1.Location

Name

Description

city

Type: string

Example: example

country

Type: string

Example: example

Example
{
  "country": "example",
  "city": "example"
}

Timezone

Name

Description

iana_timezone

Type: string

Example: example

Example
{
  "iana_timezone": "example"
}

Workplace

Name

Description

company

Type: string

Example: example

position

Type: string

Example: example

Example
{
  "company": "example",
  "position": "example"
}

Link.LinkType

Type: string

Enum: social_network, homepage, email, telegram

Name

Description

link

Type: string

Example: example

type

Type: Link.LinkType

Enum: social_network, homepage, email, telegram

Example
{
  "link": "example",
  "type": "social_network"
}

ProfileStatus

Name

Description

emoji

Type: string

Example: example

message

Type: string

Example: example

Example
{
  "message": "example",
  "emoji": "example"
}

Image

Name

Description

url

Type: string

Example: example

Example
{
  "url": "example"
}

ProfileVisibility

Type: string

Enum: private, public

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example